Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 3863)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 3864)
@@ -4555,126 +4713,109 @@
 ! ------------
 !> Calculate the nucleation rate and the size of critical clusters assuming 
-!> binary nucleation. 
+!> binary nucleation.
 !> Parametrisation according to Vehkamaki et al. (2002), J. Geophys. Res., 
 !> 107(D22), 4622. Called from subroutine nucleation. 
 !------------------------------------------------------------------------------!
- SUBROUTINE binnucl( pc_sa, ptemp, prh, pnuc_rate, pn_crit_sa, pn_crit_ocnv,   &
-                     pd_crit, pk_sa, pk_ocnv )
-                    
+ SUBROUTINE binnucl( pc_sa, ptemp, prh, pnuc_rate, pn_crit_sa, pn_crit_ocnv, pd_crit, pk_sa,       &
+                     pk_ocnv )
+
     IMPLICIT NONE
-!       
-!-- Input and output variables        
-    REAL(wp), INTENT(in) ::   pc_sa        !< H2SO4 conc. (#/cm3)
-    REAL(wp), INTENT(in) ::   prh          !< relative humidity [0-1]       
-    REAL(wp), INTENT(in) ::   ptemp        !< ambient temperature (K)
-    REAL(wp), INTENT(out) ::  pnuc_rate    !< nucleation rate (#/(m3 s))
-    REAL(wp), INTENT(out) ::  pn_crit_sa   !< number of H2SO4 molecules in 
-                                           !< cluster (#)
-    REAL(wp), INTENT(out) ::  pn_crit_ocnv !< number of organic molecules in
-                                           !< cluster (#)
-    REAL(wp), INTENT(out) ::  pd_crit      !< diameter of critical cluster (m)
-    REAL(wp), INTENT(out) ::  pk_sa        !< Lever: if pk_sa = 1, H2SO4 is
-                                           !< involved in nucleation. 
-    REAL(wp), INTENT(out) ::  pk_ocnv      !< Lever: if pk_ocnv = 1, organic
-                                           !< compounds are involved in
-                                           !< nucleation. 
-!-- Local variables
-    REAL(wp) ::  zx    !< mole fraction of sulphate in critical cluster
-    REAL(wp) ::  zntot !< number of molecules in critical cluster
-    REAL(wp) ::  zt    !< temperature
-    REAL(wp) ::  zpcsa !< sulfuric acid concentration
-    REAL(wp) ::  zrh   !< relative humidity
-    REAL(wp) ::  zma   !<
-    REAL(wp) ::  zmw   !<
-    REAL(wp) ::  zxmass!<
-    REAL(wp) ::  za    !<
-    REAL(wp) ::  zb    !<
-    REAL(wp) ::  zc    !<
-    REAL(wp) ::  zroo  !<
-    REAL(wp) ::  zm1   !<
-    REAL(wp) ::  zm2   !<
-    REAL(wp) ::  zv1   !<
-    REAL(wp) ::  zv2   !<
-    REAL(wp) ::  zcoll !<
-    
+
+    REAL(wp) ::  za      !<
+    REAL(wp) ::  zb      !<
+    REAL(wp) ::  zc      !<
+    REAL(wp) ::  zcoll   !<
+    REAL(wp) ::  zlogsa  !<  LOG( zpcsa )
+    REAL(wp) ::  zlogrh  !<  LOG( zrh )
+    REAL(wp) ::  zm1     !<
+    REAL(wp) ::  zm2     !<
+    REAL(wp) ::  zma     !<
+    REAL(wp) ::  zmw     !<
+    REAL(wp) ::  zntot   !< number of molecules in critical cluster
+    REAL(wp) ::  zpcsa   !< sulfuric acid concentration
+    REAL(wp) ::  zrh     !< relative humidity
+    REAL(wp) ::  zroo    !<
+    REAL(wp) ::  zt      !< temperature
+    REAL(wp) ::  zv1     !<
+    REAL(wp) ::  zv2     !<
+    REAL(wp) ::  zx      !< mole fraction of sulphate in critical cluster
+    REAL(wp) ::  zxmass  !<
+
+    REAL(wp), INTENT(in) ::   pc_sa   !< H2SO4 conc. (#/cm3)
+    REAL(wp), INTENT(in) ::   prh     !< relative humidity [0-1
+    REAL(wp), INTENT(in) ::   ptemp   !< ambient temperature (K)
+
+    REAL(wp), INTENT(out) ::  pnuc_rate     !< nucleation rate (#/(m3 s))
+    REAL(wp), INTENT(out) ::  pn_crit_sa    !< number of H2SO4 molecules in cluster (#)
+    REAL(wp), INTENT(out) ::  pn_crit_ocnv  !< number of organic molecules in cluster (#)
+    REAL(wp), INTENT(out) ::  pd_crit       !< diameter of critical cluster (m)
+    REAL(wp), INTENT(out) ::  pk_sa         !< Lever: if pk_sa = 1, H2SO4 is involved in nucleation.
+    REAL(wp), INTENT(out) ::  pk_ocnv       !< Lever: if pk_ocnv = 1, organic compounds are involved
+
     pnuc_rate = 0.0_wp
     pd_crit   = 1.0E-9_wp
-
-!             
-!-- 1) Checking that we are in the validity range of the parameterization  
-    zt    = MAX( ptemp, 190.15_wp )
-    zt    = MIN( zt,    300.15_wp )
-    zpcsa = MAX( pc_sa, 1.0E4_wp  )
-    zpcsa = MIN( zpcsa, 1.0E11_wp ) 
-    zrh   = MAX( prh,   0.0001_wp )
-    zrh   = MIN( zrh,   1.0_wp    )
-!               
+!
+!-- 1) Checking that we are in the validity range of the parameterization
+    zpcsa  = MAX( pc_sa, 1.0E4_wp  )
+    zpcsa  = MIN( zpcsa, 1.0E11_wp )
+    zrh    = MAX( prh,   0.0001_wp )
+    zrh    = MIN( zrh,   1.0_wp    )
+    zt     = MAX( ptemp, 190.15_wp )
+    zt     = MIN( zt,    300.15_wp )
+
+    zlogsa = LOG( zpcsa )
+    zlogrh   = LOG( prh )
+!
 !-- 2) Mole fraction of sulphate in a critical cluster (Eq. 11)
-    zx = 0.7409967177282139_wp                                           &
-         - 0.002663785665140117_wp * zt                                  &
-         + 0.002010478847383187_wp * LOG( zrh )                          &
-         - 0.0001832894131464668_wp* zt * LOG( zrh )                     &
-         + 0.001574072538464286_wp * LOG( zrh ) ** 2                     &
-         - 0.00001790589121766952_wp * zt * LOG( zrh ) ** 2              &
-         + 0.0001844027436573778_wp * LOG( zrh ) ** 3                    &
-         - 1.503452308794887E-6_wp * zt * LOG( zrh ) ** 3                &
-         - 0.003499978417957668_wp * LOG( zpcsa )                        &
-         + 0.0000504021689382576_wp * zt * LOG( zpcsa )
-!                   
+    zx = 0.7409967177282139_wp                  - 0.002663785665140117_wp * zt +                   &
+         0.002010478847383187_wp * zlogrh       - 0.0001832894131464668_wp* zt * zlogrh +          &
+         0.001574072538464286_wp * zlogrh**2    - 0.00001790589121766952_wp * zt * zlogrh**2 +     &
+         0.0001844027436573778_wp * zlogrh**3   - 1.503452308794887E-6_wp * zt * zlogrh**3 -       &
+         0.003499978417957668_wp * zlogsa     + 0.0000504021689382576_wp * zt * zlogsa
+!
 !-- 3) Nucleation rate (Eq. 12)
-    pnuc_rate = 0.1430901615568665_wp                                    &
-        + 2.219563673425199_wp * zt                                      &
-        - 0.02739106114964264_wp * zt ** 2                               &
-        + 0.00007228107239317088_wp * zt ** 3                            &
-        + 5.91822263375044_wp / zx                                       &
-        + 0.1174886643003278_wp * LOG( zrh )                             &
-        + 0.4625315047693772_wp * zt * LOG( zrh )                        &
-        - 0.01180591129059253_wp * zt ** 2 * LOG( zrh )                  &
-        + 0.0000404196487152575_wp * zt ** 3 * LOG( zrh )                &
-        + ( 15.79628615047088_wp * LOG( zrh ) ) / zx                     &
-        - 0.215553951893509_wp * LOG( zrh ) ** 2                         &
-        - 0.0810269192332194_wp * zt * LOG( zrh ) ** 2                   &
-        + 0.001435808434184642_wp * zt ** 2 * LOG( zrh ) ** 2            &
-        - 4.775796947178588E-6_wp * zt ** 3 * LOG( zrh ) ** 2            &
-        - (2.912974063702185_wp * LOG( zrh ) ** 2 ) / zx                 &
-        - 3.588557942822751_wp * LOG( zrh ) ** 3                         &
-        + 0.04950795302831703_wp * zt * LOG( zrh ) ** 3                  &
-        - 0.0002138195118737068_wp * zt ** 2 * LOG( zrh ) ** 3           &
-        + 3.108005107949533E-7_wp * zt ** 3 * LOG( zrh ) ** 3            &
-        - ( 0.02933332747098296_wp * LOG( zrh ) ** 3 ) / zx              &
-        + 1.145983818561277_wp * LOG( zpcsa )                            &
-        - 0.6007956227856778_wp * zt * LOG( zpcsa )                      &
-        + 0.00864244733283759_wp * zt ** 2 * LOG( zpcsa )                &
-        - 0.00002289467254710888_wp * zt ** 3 * LOG( zpcsa )             &
-        - ( 8.44984513869014_wp * LOG( zpcsa ) ) / zx                    &
-        + 2.158548369286559_wp * LOG( zrh ) * LOG( zpcsa )               &
-        + 0.0808121412840917_wp * zt * LOG( zrh ) * LOG( zpcsa )         &
-        - 0.0004073815255395214_wp * zt ** 2 * LOG( zrh ) * LOG( zpcsa ) &
-        - 4.019572560156515E-7_wp * zt ** 3 * LOG( zrh ) * LOG( zpcsa )  & 
-        + ( 0.7213255852557236_wp * LOG( zrh ) * LOG( zpcsa ) ) / zx     &
-        + 1.62409850488771_wp * LOG( zrh ) ** 2 * LOG( zpcsa )           &
-        - 0.01601062035325362_wp * zt * LOG( zrh ) ** 2 * LOG( zpcsa )   &
-        + 0.00003771238979714162_wp*zt**2* LOG( zrh )**2 * LOG( zpcsa )  &
-        + 3.217942606371182E-8_wp * zt**3 * LOG( zrh )**2 * LOG( zpcsa ) &
-        - (0.01132550810022116_wp * LOG( zrh )**2 * LOG( zpcsa ) ) / zx  &
-        + 9.71681713056504_wp * LOG( zpcsa ) ** 2                        &
-        - 0.1150478558347306_wp * zt * LOG( zpcsa ) ** 2                 &
-        + 0.0001570982486038294_wp * zt ** 2 * LOG( zpcsa ) ** 2         &
-        + 4.009144680125015E-7_wp * zt ** 3 * LOG( zpcsa ) ** 2          &
-        + ( 0.7118597859976135_wp * LOG( zpcsa ) ** 2 ) / zx             &
-        - 1.056105824379897_wp * LOG( zrh ) * LOG( zpcsa ) ** 2          &
-        + 0.00903377584628419_wp * zt * LOG( zrh ) * LOG( zpcsa )**2     &
-        - 0.00001984167387090606_wp*zt**2*LOG( zrh )*LOG( zpcsa )**2     &
-        + 2.460478196482179E-8_wp * zt**3 * LOG( zrh ) * LOG( zpcsa )**2 &
-        - ( 0.05790872906645181_wp * LOG( zrh ) * LOG( zpcsa )**2 ) / zx &
-        - 0.1487119673397459_wp * LOG( zpcsa ) ** 3                      &
-        + 0.002835082097822667_wp * zt * LOG( zpcsa ) ** 3               &
-        - 9.24618825471694E-6_wp * zt ** 2 * LOG( zpcsa ) ** 3           &
-        + 5.004267665960894E-9_wp * zt ** 3 * LOG( zpcsa ) ** 3          &
-        - ( 0.01270805101481648_wp * LOG( zpcsa ) ** 3 ) / zx
-!           
+    pnuc_rate = 0.1430901615568665_wp + 2.219563673425199_wp * zt -                                &
+                0.02739106114964264_wp * zt**2 + 0.00007228107239317088_wp * zt**3 +               &
+                5.91822263375044_wp / zx + 0.1174886643003278_wp * zlogrh +                        &
+                0.4625315047693772_wp * zt * zlogrh - 0.01180591129059253_wp * zt**2 * zlogrh +    &
+                0.0000404196487152575_wp * zt**3 * zlogrh +                                        &
+                ( 15.79628615047088_wp * zlogrh ) / zx - 0.215553951893509_wp * zlogrh**2 -        &
+                0.0810269192332194_wp * zt * zlogrh**2 +                                           &
+                0.001435808434184642_wp * zt**2 * zlogrh**2 -                                      &
+                4.775796947178588E-6_wp * zt**3 * zlogrh**2 -                                      &
+                ( 2.912974063702185_wp * zlogrh**2 ) / zx - 3.588557942822751_wp * zlogrh**3 +     &
+                0.04950795302831703_wp * zt * zlogrh**3 -                                          &
+                0.0002138195118737068_wp * zt**2 * zlogrh**3 +                                     &
+                3.108005107949533E-7_wp * zt**3 * zlogrh**3 -                                      &
+                ( 0.02933332747098296_wp * zlogrh**3 ) / zx + 1.145983818561277_wp * zlogsa -      &
+                0.6007956227856778_wp * zt * zlogsa + 0.00864244733283759_wp * zt**2 * zlogsa -    &
+                0.00002289467254710888_wp * zt**3 * zlogsa -                                       &
+                ( 8.44984513869014_wp * zlogsa ) / zx + 2.158548369286559_wp * zlogrh * zlogsa +   &
+                0.0808121412840917_wp * zt * zlogrh * zlogsa -                                     &
+                0.0004073815255395214_wp * zt**2 * zlogrh * zlogsa -                               &
+                4.019572560156515E-7_wp * zt**3 * zlogrh * zlogsa +                                &
+                ( 0.7213255852557236_wp * zlogrh * zlogsa ) / zx +                                 &
+                1.62409850488771_wp * zlogrh**2 * zlogsa -                                         &
+                0.01601062035325362_wp * zt * zlogrh**2 * zlogsa +                                 &
+                0.00003771238979714162_wp*zt**2* zlogrh**2 * zlogsa +                              &
+                3.217942606371182E-8_wp * zt**3 * zlogrh**2 * zlogsa -                             &
+                ( 0.01132550810022116_wp * zlogrh**2 * zlogsa ) / zx +                             &
+                9.71681713056504_wp * zlogsa**2 - 0.1150478558347306_wp * zt * zlogsa**2 +         &
+                0.0001570982486038294_wp * zt**2 * zlogsa**2 +                                     &
+                4.009144680125015E-7_wp * zt**3 * zlogsa**2 +                                      &
+                ( 0.7118597859976135_wp * zlogsa**2 ) / zx -                                       &
+                1.056105824379897_wp * zlogrh * zlogsa**2 +                                        &
+                0.00903377584628419_wp * zt * zlogrh * zlogsa**2 -                                 &
+                0.00001984167387090606_wp * zt**2 * zlogrh * zlogsa**2 +                           &
+                2.460478196482179E-8_wp * zt**3 * zlogrh * zlogsa**2 -                             &
+                ( 0.05790872906645181_wp * zlogrh * zlogsa**2 ) / zx -                             &
+                0.1487119673397459_wp * zlogsa**3 + 0.002835082097822667_wp * zt * zlogsa**3 -     &
+                9.24618825471694E-6_wp * zt**2 * zlogsa**3 +                                       &
+                5.004267665960894E-9_wp * zt**3 * zlogsa**3 -                                      &
+                ( 0.01270805101481648_wp * zlogsa**3 ) / zx
+!
 !-- Nucleation rate in #/(cm3 s)
     pnuc_rate = EXP( pnuc_rate ) 
-!       
+!
 !-- Check the validity of parameterization
     IF ( pnuc_rate < 1.0E-7_wp )  THEN 
@@ -4682,62 +4823,49 @@
        pd_crit   = 1.0E-9_wp
     ENDIF
-!                
+!
 !-- 4) Total number of molecules in the critical cluster (Eq. 13)
-    zntot = - 0.002954125078716302_wp                                    &
-      - 0.0976834264241286_wp * zt                                       &
-      + 0.001024847927067835_wp * zt ** 2                                &
-      - 2.186459697726116E-6_wp * zt ** 3                                &
-      - 0.1017165718716887_wp / zx                                       &
-      - 0.002050640345231486_wp * LOG( zrh )                             &
-      - 0.007585041382707174_wp * zt * LOG( zrh )                        &
-      + 0.0001926539658089536_wp * zt ** 2 * LOG( zrh )                  &
-      - 6.70429719683894E-7_wp * zt ** 3 * LOG( zrh )                    &
-      - ( 0.2557744774673163_wp * LOG( zrh ) ) / zx                      &
-      + 0.003223076552477191_wp * LOG( zrh ) ** 2                        &
-      + 0.000852636632240633_wp * zt * LOG( zrh ) ** 2                   &
-      - 0.00001547571354871789_wp * zt ** 2 * LOG( zrh ) ** 2            &
-      + 5.666608424980593E-8_wp * zt ** 3 * LOG( zrh ) ** 2              &
-      + ( 0.03384437400744206_wp * LOG( zrh ) ** 2 ) / zx                &
-      + 0.04743226764572505_wp * LOG( zrh ) ** 3                         &
-      - 0.0006251042204583412_wp * zt * LOG( zrh ) ** 3                  &
-      + 2.650663328519478E-6_wp * zt ** 2 * LOG( zrh ) ** 3              &
-      - 3.674710848763778E-9_wp * zt ** 3 * LOG( zrh ) ** 3              &
-      - ( 0.0002672510825259393_wp * LOG( zrh ) ** 3 ) / zx              &
-      - 0.01252108546759328_wp * LOG( zpcsa )                            &
-      + 0.005806550506277202_wp * zt * LOG( zpcsa )                      &
-      - 0.0001016735312443444_wp * zt ** 2 * LOG( zpcsa )                &
-      + 2.881946187214505E-7_wp * zt ** 3 * LOG( zpcsa )                 &
-      + ( 0.0942243379396279_wp * LOG( zpcsa ) ) / zx                    &
-      - 0.0385459592773097_wp * LOG( zrh ) * LOG( zpcsa )                &
-      - 0.0006723156277391984_wp * zt * LOG( zrh ) * LOG( zpcsa )        &
-      + 2.602884877659698E-6_wp * zt ** 2 * LOG( zrh ) * LOG( zpcsa )    &
-      + 1.194163699688297E-8_wp * zt ** 3 * LOG( zrh ) * LOG( zpcsa )    &
-      - ( 0.00851515345806281_wp * LOG( zrh ) * LOG( zpcsa ) ) / zx      &
-      - 0.01837488495738111_wp * LOG( zrh ) ** 2 * LOG( zpcsa )          &
-      + 0.0001720723574407498_wp * zt * LOG( zrh ) ** 2 * LOG( zpcsa )   &
-      - 3.717657974086814E-7_wp * zt**2 * LOG( zrh )**2 * LOG( zpcsa )   &
-      - 5.148746022615196E-10_wp * zt**3 * LOG( zrh )**2 * LOG( zpcsa )  &
-      + ( 0.0002686602132926594_wp * LOG(zrh)**2 * LOG(zpcsa) ) / zx     &
-      - 0.06199739728812199_wp * LOG( zpcsa ) ** 2                       &
-      + 0.000906958053583576_wp * zt * LOG( zpcsa ) ** 2                 &
-      - 9.11727926129757E-7_wp * zt ** 2 * LOG( zpcsa ) ** 2             &
-      - 5.367963396508457E-9_wp * zt ** 3 * LOG( zpcsa ) ** 2            &
-      - ( 0.007742343393937707_wp * LOG( zpcsa ) ** 2 ) / zx             &
-      + 0.0121827103101659_wp * LOG( zrh ) * LOG( zpcsa ) ** 2           &
-      - 0.0001066499571188091_wp * zt * LOG( zrh ) * LOG( zpcsa ) ** 2   &
-      + 2.534598655067518E-7_wp * zt**2 * LOG( zrh ) * LOG( zpcsa )**2   &
-      - 3.635186504599571E-10_wp * zt**3 * LOG( zrh ) * LOG( zpcsa )**2  &
-      + ( 0.0006100650851863252_wp * LOG( zrh ) * LOG( zpcsa ) **2 )/ zx &
-      + 0.0003201836700403512_wp * LOG( zpcsa ) ** 3                     &
-      - 0.0000174761713262546_wp * zt * LOG( zpcsa ) ** 3                &
-      + 6.065037668052182E-8_wp * zt ** 2 * LOG( zpcsa ) ** 3            &
-      - 1.421771723004557E-11_wp * zt ** 3 * LOG( zpcsa ) ** 3           &
-      + ( 0.0001357509859501723_wp * LOG( zpcsa ) ** 3 ) / zx
+    zntot = - 0.002954125078716302_wp - 0.0976834264241286_wp * zt +                               &
+              0.001024847927067835_wp * zt**2 - 2.186459697726116E-6_wp * zt**3 -                  &
+              0.1017165718716887_wp / zx - 0.002050640345231486_wp * zlogrh -                      &
+              0.007585041382707174_wp * zt * zlogrh + 0.0001926539658089536_wp * zt**2 * zlogrh -  &
+              6.70429719683894E-7_wp * zt**3 * zlogrh - ( 0.2557744774673163_wp * zlogrh ) / zx +  &
+              0.003223076552477191_wp * zlogrh**2 + 0.000852636632240633_wp * zt * zlogrh**2 -     &
+              0.00001547571354871789_wp * zt**2 * zlogrh**2 +                                      &
+              5.666608424980593E-8_wp * zt**3 * zlogrh**2 +                                        &
+              ( 0.03384437400744206_wp * zlogrh**2 ) / zx +                                        &
+              0.04743226764572505_wp * zlogrh**3 - 0.0006251042204583412_wp * zt * zlogrh**3 +     &
+              2.650663328519478E-6_wp * zt**2 * zlogrh**3 -                                        &
+              3.674710848763778E-9_wp * zt**3 * zlogrh**3 -                                        &
+              ( 0.0002672510825259393_wp * zlogrh**3 ) / zx - 0.01252108546759328_wp * zlogsa +    &
+              0.005806550506277202_wp * zt * zlogsa - 0.0001016735312443444_wp * zt**2 * zlogsa +  &
+              2.881946187214505E-7_wp * zt**3 * zlogsa + ( 0.0942243379396279_wp * zlogsa ) / zx - &
+              0.0385459592773097_wp * zlogrh * zlogsa -                                            &
+              0.0006723156277391984_wp * zt * zlogrh * zlogsa  +                                   &
+              2.602884877659698E-6_wp * zt**2 * zlogrh * zlogsa +                                  &
+              1.194163699688297E-8_wp * zt**3 * zlogrh * zlogsa -                                  &
+              ( 0.00851515345806281_wp * zlogrh * zlogsa ) / zx -                                  &
+              0.01837488495738111_wp * zlogrh**2 * zlogsa +                                        &
+              0.0001720723574407498_wp * zt * zlogrh**2 * zlogsa -                                 &
+              3.717657974086814E-7_wp * zt**2 * zlogrh**2 * zlogsa -                               &
+              5.148746022615196E-10_wp * zt**3 * zlogrh**2 * zlogsa +                              &
+              ( 0.0002686602132926594_wp * zlogrh**2 * zlogsa ) / zx -                             &
+              0.06199739728812199_wp * zlogsa**2 + 0.000906958053583576_wp * zt * zlogsa**2 -      &
+              9.11727926129757E-7_wp * zt**2 * zlogsa**2 -                                         &
+              5.367963396508457E-9_wp * zt**3 * zlogsa**2 -                                        &
+              ( 0.007742343393937707_wp * zlogsa**2 ) / zx +                                       &
+              0.0121827103101659_wp * zlogrh * zlogsa**2 -                                         &
+              0.0001066499571188091_wp * zt * zlogrh * zlogsa**2 +                                 &
+              2.534598655067518E-7_wp * zt**2 * zlogrh * zlogsa**2 -                               &
+              3.635186504599571E-10_wp * zt**3 * zlogrh * zlogsa**2 +                              &
+              ( 0.0006100650851863252_wp * zlogrh * zlogsa **2 ) / zx +                            &
+              0.0003201836700403512_wp * zlogsa**3 - 0.0000174761713262546_wp * zt * zlogsa**3 +   &
+              6.065037668052182E-8_wp * zt**2 * zlogsa**3 -                                        &
+              1.421771723004557E-11_wp * zt**3 * zlogsa**3 +                                       &
+              ( 0.0001357509859501723_wp * zlogsa**3 ) / zx
     zntot = EXP( zntot )  ! in #
 !
 !-- 5) Size of the critical cluster pd_crit (m) (diameter) (Eq. 14)
     pn_crit_sa = zx * zntot
-    pd_crit    = 2.0E-9_wp * EXP( -1.6524245_wp + 0.42316402_wp  * zx +        &
-                 0.33466487_wp * LOG( zntot ) )
+    pd_crit = 2.0E-9_wp * EXP( -1.6524245_wp + 0.42316402_wp * zx + 0.33466487_wp * LOG( zntot ) )
 !
 !-- 6) Organic compounds not involved when binary nucleation is assumed
@@ -4745,47 +4873,47 @@
     pk_sa        = 1.0_wp   ! if = 1, H2SO4 involved in nucleation
     pk_ocnv      = 0.0_wp   ! if = 1, organic compounds involved
-!                
-!-- Set nucleation rate to collision rate                
+!
+!-- Set nucleation rate to collision rate
     IF ( pn_crit_sa < 4.0_wp ) THEN
-!       
+!
 !--    Volumes of the colliding objects
        zma    = 96.0_wp   ! molar mass of SO4 in g/mol
        zmw    = 18.0_wp   ! molar mass of water in g/mol
        zxmass = 1.0_wp    ! mass fraction of H2SO4
-       za = 0.7681724_wp + zxmass * ( 2.1847140_wp + zxmass * (     &
-            7.1630022_wp + zxmass * ( -44.31447_wp + zxmass * (     &
-            88.75606 + zxmass * ( -75.73729_wp + zxmass *           &
-            23.43228_wp ) ) ) ) )
-       zb = 1.808225E-3_wp + zxmass * ( -9.294656E-3_wp + zxmass *  &
-            ( -0.03742148_wp + zxmass * ( 0.2565321_wp + zxmass *   &
-            ( -0.5362872_wp + zxmass * ( 0.4857736 - zxmass *       &
-            0.1629592_wp ) ) ) ) )
-       zc = - 3.478524E-6_wp + zxmass * ( 1.335867E-5_wp + zxmass * &
-           ( 5.195706E-5_wp + zxmass * ( -3.717636E-4_wp + zxmass * &
-           ( 7.990811E-4_wp + zxmass * ( -7.458060E-4_wp + zxmass * &
-             2.58139E-4_wp ) ) ) ) )
-!             
+       za = 0.7681724_wp + zxmass * ( 2.1847140_wp + zxmass *                                      &
+                                      ( 7.1630022_wp + zxmass *                                    &
+                                        ( -44.31447_wp + zxmass *                                  &
+                                          ( 88.75606 + zxmass *                                    &
+                                            ( -75.73729_wp + zxmass * 23.43228_wp ) ) ) ) )
+       zb = 1.808225E-3_wp + zxmass * ( -9.294656E-3_wp + zxmass *                                 &
+                                        ( -0.03742148_wp + zxmass *                                &
+                                          ( 0.2565321_wp + zxmass *                                &
+                                            ( -0.5362872_wp + zxmass *                             &
+                                              ( 0.4857736 - zxmass * 0.1629592_wp ) ) ) ) )
+       zc = - 3.478524E-6_wp + zxmass * ( 1.335867E-5_wp + zxmass *                                &
+                                          ( 5.195706E-5_wp + zxmass *                              &
+                                            ( -3.717636E-4_wp + zxmass *                           &
+                                              ( 7.990811E-4_wp + zxmass *                          &
+                                                ( -7.458060E-4_wp + zxmass * 2.58139E-4_wp ) ) ) ) )
+!
 !--    Density for the sulphuric acid solution (Eq. 10 in Vehkamaki)
-       zroo = za + zt * ( zb + zc * zt )   ! g/cm^3
-       zroo = zroo * 1.0E+3_wp   ! kg/m^3
+       zroo = ( za + zt * ( zb + zc * zt ) ) * 1.0E+3_wp   ! (kg/m^3
        zm1  = 0.098_wp   ! molar mass of H2SO4 in kg/mol
        zm2  = zm1
-       zv1  = zm1 / avo / zroo   ! volume 
+       zv1  = zm1 / avo / zroo   ! volume
        zv2  = zv1
-!       
-!--    Collision rate 
-       zcoll =  zpcsa * zpcsa * ( 3.0_wp * pi / 4.0_wp ) ** ( 1.0_wp / 6.0_wp )&
-                * SQRT( 6.0_wp * argas * zt / zm1 + 6.0_wp * argas * zt / zm2 )&
-                * ( zv1 ** ( 1.0_wp / 3.0_wp ) + zv2 ** ( 1.0_wp /3.0_wp ) ) **&
-                2.0_wp * 1.0E+6_wp    ! m3 -> cm3
-
-       zcoll      = MIN( zcoll, 1.0E+10_wp )
+!
+!--    Collision rate
+       zcoll =  zpcsa * zpcsa * ( 3.0_wp * pi / 4.0_wp )**0.16666666_wp *                          &
+                SQRT( 6.0_wp * argas * zt / zm1 + 6.0_wp * argas * zt / zm2 ) *                    &
+                ( zv1**0.33333333_wp + zv2**0.33333333_wp )**2 * 1.0E+6_wp    ! m3 -> cm3
+       zcoll = MIN( zcoll, 1.0E+10_wp )
        pnuc_rate  = zcoll   ! (#/(cm3 s))
-       
-    ELSE             
-       pnuc_rate  = MIN( pnuc_rate, 1.0E+10_wp )                
-    ENDIF             
+
+    ELSE
+       pnuc_rate  = MIN( pnuc_rate, 1.0E+10_wp )
+    ENDIF
     pnuc_rate = pnuc_rate * 1.0E+6_wp   ! (#/(m3 s))
-       
+
  END SUBROUTINE binnucl
  
